clang 10.0.0git

Classes | Namespaces | Functions
TemplateBase.h File Reference
`#include "clang/AST/NestedNameSpecifier.h"`
`#include "clang/AST/TemplateName.h"`
`#include "clang/AST/Type.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "llvm/ADT/APInt.h"`
`#include "llvm/ADT/APSInt.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/None.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/Support/Compiler.h"`
`#include "llvm/Support/TrailingObjects.h"`
`#include <cassert>`
`#include <cstddef>`
`#include <cstdint>`
Include dependency graph for TemplateBase.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::TemplateArgument
| Represents a template argument. More...
struct | clang::TemplateArgumentLocInfo
| Location information for a TemplateArgument. More...
class | clang::TemplateArgumentLoc
| Location wrapper for a TemplateArgument. More...
class | clang::TemplateArgumentListInfo
| A convenient class for passing around template argument information. More...
struct | clang::ASTTemplateArgumentListInfo
| Represents an explicit template argument list in C++, e.g., the "<int>" in "sort<int>". More...
struct | clang::ASTTemplateKWAndArgsInfo
| Represents an explicit template argument list in C++, e.g., the "<int>" in "sort<int>". More...

## Namespaces
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.
| clang
| Dataflow Directional Tag Classes.

## Functions
const DiagnosticBuilder & | clang::operator<< (const DiagnosticBuilder &DB, const TemplateArgument &Arg)